/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package modelo;

/**
 * Clase Requisito de Restriccion, clase que crea un reqisito restriccion
 * @author MW3 Software
 */
public class ReqRestriccion extends Requisito{

    /**
     * Descripcion del Requisito
     */
    private String descripcion;


    /**
     * Metodo que devuelve la descripcion
     * @return devuelve la descripcion del requisito
     */
    public String getDescripcion()
    {
        return descripcion;
    }

    /**
     * metodo que almacena la descripcion
     * @param descripcion Nuevo valor de descripcion del requisito
     */
    public void setDescripcion(String descripcion)
    {
        this.descripcion = descripcion;
        //Notificamos que ha habido un cambio
         this.setChanged();
         this.notifyObservers();
    }

}
